package client.vars;

import client.gui.element.Element;
import common.util.Displayable;

public interface CVar extends Displayable {
	String getType();
	CVarCategory getCategory();
	String getCVarName();
	boolean parse(String str);
	String format();
	String getDefault();
	void setDefault();
	default String getValues() {
		return null;
	}
	Element selector(int x, int y, int w, int h);
}
